<?php
	session_start();

	$cryptinstall="../php/crypt/cryptographp.fct.php";
	include $cryptinstall; 

	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/lib.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/var.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/lib.php');

	//echo "<pre>";print_r($_POST);echo "</pre>";

	$sql = dbquery("SELECT * FROM site_entreprises WHERE contact_mail = '".$_POST['email']."' ");

	if( dbnumrows($sql)== 0 ){
		Header("Location: index.php?renvoi=fail");
		exit();
	}
	elseif(!chk_crypt($_POST['code'])){
		Header("Location: index.php?code=wrong");
		exit();
	}
	else{
		$login			= dbresult_utf8($sql,0,"identifiant");
		$password		= dbresult_utf8($sql,0,"password");

		$texte_mail="
			Nous faisons suite à votre demande de renvois d'identifiants pour accéder à votre Espace Entreprises : 
			<br><br>
			Identifiant : ".$login."
			<br>
			Mot de passe : ".$password."
			<br><br><br>
			Cordialement,
			<br><br>
			Le Cnam Réunion
			<br><br><br>
			<i>Ceci est un mail automatique, merci de ne pas y répondre.</i>
		";

		$headers ='From: "Cnam Reunion - Espace Entreprises "'."\n";
		$headers .='Content-Type:text/html; charset="iso-8859-1"'."\n"; 
		$headers .='Content-Transfer-Encoding: 8bit';
		$objet   ="Renvoi d'identifiants";
		
		echo $texte_mail;
		//echo $objet." / ".utf8_decode($texte_mail)." / ".$headers;

		//mail($_POST['email'],$objet,utf8_decode($texte_mail),$headers);
		//mail("cnam.re.sup@gmail.com",$objet,utf8_decode($texte_mail),$headers);
		mail("al.lafont@gmail.com",$objet,utf8_decode($texte_mail),$headers);
		Header("Location: index.php?renvoi=success");
	}
?>